        lb      $46,0($fp)
        lb      $46,0($fp)
	   lbu     $4,0($3)
	 lw      $3,36($fp)
	     dlw     $6,32($fp)
	l.s     $f22,52($fp)
	l.d $f28,160($sp)
	sb       $3,60($fp)
	 sw      $3,60($fp)
	       dsw     $6,48($fp)
     dsz     16($fp)
  s.s   $f0,24($sp)
	s.d     $f20,128($sp)
	      addu    $3,$4,56
		     addu    $2,$2,$3
	subu $3,$2,$4
	    subu    $4,$5,14
     mult    $4,$5
	 mflo $5
		mfhi $2
	 mtlo $3
		mthi $2
		 and     $2,$2,$3
		 andi    $3,$2,0x0001
		  or      $2,$2,$3
		  ori     $3,$2,0x0005
	move $2,$3
rem	$4,$2,$5
remu $7,$5,$6
	li	$2,0x00000014
		add.s	$f0,$f0,$f2
			add.d	$f4,$f4,$f6
	sub.s	$f0,$f0,$f2
	sub.d	$f0,$f0,$f2
	mul.s	$f0,$f0,$f2
	mul.d	$f0,$f0,$f4
	div.s	$f0,$f0,$f2
	div.d	$f0,$f0,$f2
	abs.s	$f0,$f2
	abs.d	$f0,$f2
	mov.s	$f0,$f2
	mov.d	$f12,$f0
	neg.s	$f0,$f2
	neg.d	$f2,$f0
	cvt.s.d	$f20,$f0
	cvt.s.w	$f0,$f0
	cvt.d.s	$f4,$f2
	cvt.d.w	$f2,$f2
	cvt.w.s $f4,$f2
	cvt.w.d $f2,$f2
	c.eq.s	$f0,$f2
	c.eq.d	$f0,$f2
		c.lt.s	$f0,$f2
	c.lt.d	$f0,$f2
	c.le.s	$f0,$f2
	c.le.d	$f0,$f2
	sqrt.s $f0, $f2
	sqrt.d $f0, $f2
